# H245_H2250LogicalChannelParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H2250LogicalChannelParameters:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_associatedSessionID, e_mediaChannel, e_mediaGuaranteedDelivery, e_mediaControlChannel, e_mediaControlGuaranteedDelivery, e_silenceSuppression, e_destination, e_dynamicRTPPayloadType, e_mediaPacketization, e_transportCapability, e_redundancyEncoding, e_source }

## Public Member Functions

| H245_H2250LogicalChannelParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_NonStandardParameter | m_nonStandard
PASN_Integer | m_sessionID
PASN_Integer | m_associatedSessionID
H245_TransportAddress | m_mediaChannel
PASN_Boolean | m_mediaGuaranteedDelivery
H245_TransportAddress | m_mediaControlChannel
PASN_Boolean | m_mediaControlGuaranteedDelivery
PASN_Boolean | m_silenceSuppression
H245_TerminalLabel | m_destination
PASN_Integer | m_dynamicRTPPayloadType
H245_H2250LogicalChannelParameters_mediaPacketization | m_mediaPacketization
H245_TransportCapability | m_transportCapability
H245_RedundancyEncoding | m_redundancyEncoding
H245_TerminalLabel | m_source

## Member Enumeration Documentation

enum H245_H2250LogicalChannelParameters::OptionalFields

Enumerator:

  e_nonStandard |
  e_associatedSessionID |
  e_mediaChannel |
  e_mediaGuaranteedDelivery |
  e_mediaControlChannel |
  e_mediaControlGuaranteedDelivery |
  e_silenceSuppression |
  e_destination |
  e_dynamicRTPPayloadType |
  e_mediaPacketization |
  e_transportCapability |
  e_redundancyEncoding |
  e_source |

## Constructor & Destructor Documentation

H245_H2250LogicalChannelParameters::H245_H2250LogicalChannelParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H2250LogicalChannelParameters::GetDataLength | ( |  | ) | const

PBoolean H245_H2250LogicalChannelParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_H2250LogicalChannelParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H2250LogicalChannelParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H2250LogicalChannelParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H2250LogicalChannelParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_NonStandardParameter H245_H2250LogicalChannelParameters::m_nonStandard

PASN_Integer H245_H2250LogicalChannelParameters::m_sessionID

PASN_Integer H245_H2250LogicalChannelParameters::m_associatedSessionID

H245_TransportAddress H245_H2250LogicalChannelParameters::m_mediaChannel

PASN_Boolean H245_H2250LogicalChannelParameters::m_mediaGuaranteedDelivery

H245_TransportAddress H245_H2250LogicalChannelParameters::m_mediaControlChannel

PASN_Boolean H245_H2250LogicalChannelParameters::m_mediaControlGuaranteedDelivery

PASN_Boolean H245_H2250LogicalChannelParameters::m_silenceSuppression

H245_TerminalLabel H245_H2250LogicalChannelParameters::m_destination

PASN_Integer H245_H2250LogicalChannelParameters::m_dynamicRTPPayloadType

H245_H2250LogicalChannelParameters_mediaPacketization H245_H2250LogicalChannelParameters::m_mediaPacketization

H245_TransportCapability H245_H2250LogicalChannelParameters::m_transportCapability

H245_RedundancyEncoding H245_H2250LogicalChannelParameters::m_redundancyEncoding

H245_TerminalLabel H245_H2250LogicalChannelParameters::m_source

The documentation for this class was generated from the following file:

- h245.h